Subject: Re: ASN.1 BER

From: Tom-PT Taylor <[email-masked]>
Date: Wed, 6 Sep 2000 09:16:42 -0400

BER was indeed chosen because of its simplicity.  The use of PER for H.323
has been considered a major barrier to its widespread development, because
of the scarcity of tools to work with it.  We should definitely develop some
illustrations of encoding that everyone can agree on and perhaps add them as
another Appendix to H.248 (and as an Informational RFC).

> -----Original Message-----
> From: Shiv Kumar [mailto:[email-masked]]
> Sent: Wednesday, September 06, 2000 4:57 AM
> To: [email-masked]
> Subject: ASN.1 BER
>
>
> Hi,
>
> I wanted some clarifications regarding the binary encoding.
>
> Is there a  possibility of the binary encoding method to change
> from ASN.1 BER  to  PER ?
>
> How was BER decided upon in the first place.
> Was it because it was simple, albeit costly in terms of size ?
>
> Also, can we have some sample dump of BER encoded messages ?
> I have managed to get the encoded output for a sample binary
> encoded message. My decoder has no problem in parsing it.
> But how do I assure myself that this is the encoded output that
> everybody is looking for.  :-)
>
> Regards
> Shiv Kumar
> Hughes Software Systems
>